package org.kasapbasi.tutorials.w0503;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Toast;

/**
 * Created by mustafakasapbasi on 15/03/2017.
 */

public class myView extends View {

    Paint paint = new Paint();
    Path path= new Path();
float x;
    float y;

    public  myView(Context ctx, AttributeSet att){
        super(ctx,att);
        this.setBackgroundColor(Color.MAGENTA);

      paint.setColor(Color.BLUE);
      paint.setAntiAlias(true);
        paint.setStrokeWidth(1f);
        paint.setStyle(Paint.Style.STROKE);
        paint.setStrokeJoin(Paint.Join.ROUND);
    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);

        canvas.drawPath(path,paint);
        canvas.drawText(x+" "+y,50,50,paint);
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {

        x= event.getX();
        y= event.getY();

        switch(event.getAction()){

         case MotionEvent.ACTION_UP:
              break;
         case MotionEvent.ACTION_DOWN: path.moveTo(x,y);   break;
         case MotionEvent.ACTION_MOVE: path.lineTo(x,y); break;
         default:
             return  true;


     }
invalidate();
return true;
    }
}
